import React, {useState} from "react";
import {Button, Form, List, Picker, Space, Switch} from "antd-mobile";
import Cookies from "js-cookie";
import {columnSortConstant} from "./columnSortConstant";

export function PersonalCenter() {
    const [columnSort, setColumnSort] = useState()
    return <div>
        <List header='网站:http://www.hauruyu.com'>
            <List.Item extra={<Switch defaultChecked/>}>新建任务时父任务只展示未完成任务</List.Item>

            <Picker
                columns={columnSortConstant}
                value={columnSort}
                onConfirm={setColumnSort}
                onSelect={(val, extend) => {
                    console.log('onSelect', val, extend.items)
                }}>
                {(items, {open}) => {
                    return (
                        // <Space align='end'>
                            <List.Item onClick={open} extra={items.every(item => item === null)
                                ? '未选择'
                                : items.map(item => item?.label ?? '未选择').join(' - ')}>
                                任务排序方式:
                            </List.Item>
                        // </Space>
                    )
                }}
            </Picker>

            <List.Item description='管理已授权的产品和设备' clickable>
                授权管理
            </List.Item>
            <List.Item title='副标题信息A' description='副标题信息B' clickable>
                这里是主信息
            </List.Item>
        </List>
        {/*<Form*/}
        {/*    layout='horizontal'*/}
        {/*    footer={*/}
        {/*        <Button block type='submit' color='primary' size='large'>*/}
        {/*            提交*/}
        {/*        </Button>*/}
        {/*    }*/}
        {/*>*/}
        {/*    <Form.Header>网站:http://www.hauruyu.com</Form.Header>*/}
        {/*    <Form.Item*/}
        {/*        name='delivery'*/}
        {/*        label='新建任务时，父任务只展示未完成任务'*/}
        {/*        childElementPosition='right'*/}
        {/*    >*/}
        {/*        <Switch/>*/}
        {/*    </Form.Item>*/}
        {/*</Form>*/}
        <Button color={"danger"} onClick={() => {
            localStorage.removeItem('platform-security');
            Cookies.remove('platform-security');
            window.location.href = "http:///www.huaruyu.com/login"
        }}>退出登录</Button>
    </div>
}